## org.eclipse.ocl.uml.options
Class UMLParsingOptions

    java.lang.Object
      org.eclipse.ocl.uml.options.UMLParsingOptions

    public class UMLParsingOptions

extends Object

Options applicable to the `UMLEnvironment` to customize its parsing behaviour.

Since:
  1.2

Field Summary
`static Option<Class<? extends Association>>` `ASSOCIATION_CLASS_TYPE` Option determining which UML metaclass to consider as the OCL notion of `Association Class`.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASSOCIATION_CLASS_TYPE

    public static final Option<Class<? extends Association>> ASSOCIATION_CLASS_TYPE

  Option determining which UML metaclass to consider as the OCL notion of `Association Class`. The default is the UML `AssociationClass` metaclass for a strict interpretation, as the OCL Specification is not aware of the fact that all UML associations are classifiers. The other logical choice is `Association`, which encompasses all associations (including association-classes proper) and even metaclass `Extension`s in profiles.

  Since:
    1.2

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.